#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys, os
import json
from contextlib import contextmanager
import contextlib


sys.path.append('/home/geoint/GeoSentinel')
from geosentinel import APISentinel
from datetime import date 

#@contextmanager
#def suppress_stdout():
#    with open(os.devnull, "w") as devnull:
#        old_stdout = sys.stdout
#        sys.stdout = devnull
#        try:  
#            yield
#        finally:
#            sys.stdout = old_stdout

def findSentinelProducts(wkt, startDate, endDate, platform, cloud):
	sentinel = APISentinel.APISentinel('asalazarg',  'geo135asg')

	products = sentinel.getProducts(wkt, (startDate, endDate), {"platformname":platform, "cloudcoverpercentage":"[0 TO "+str(cloud)+"]"})

	list = [k for k in products.keys()]
	return list

def main(argv):

	if len(sys.argv) != 6:
		print("Usage")
	else:
#	        with suppress_stdout():
#		with contextlib.redirect_stdout(None):
		list = findSentinelProducts(sys.argv[1], sys.argv[2], sys.argv[3], sys.argv[4], sys.argv[5])
#		for l in list:
#			print(l)
		print(json.dumps(list))

if __name__ == "__main__":
	main(sys.argv)
